#ifndef __nodefilter_h__
#define __nodefilter_h__

#include <qstringlist.h>
#include <dom/dom2_traversal.h>

class NodeFilter : public DOM::CustomNodeFilter
{
public:
    NodeFilter( const QStringList &tags );

    virtual short acceptNode( const DOM::Node &node );

private:
    QStringList m_tags;
};

#endif
/*
 * vim:ts=4:sw=4:et
 */
